Index: src/builder.cpp
===================================================================
--- src/builder.cpp	(revision 8c54a3b5f6bdf770309a91dff75fb62f47d91b6d)
+++ src/builder.cpp	(revision 0dbddc24a89f547aa564634e7647f87ec8ce9700)
@@ -1121,79 +1216,88 @@
 static void SaveConfig(char *ConfigFileName, config *configuration, periodentafel *periode, MoleculeListClass *molecules)
 {
-	char filename[MAXSTRINGSIZE];
-	ofstream output;
-	molecule *mol = new molecule(periode);
-
-	// merge all molecules in MoleculeListClass into this molecule
-	int N = molecules->ListOfMolecules.size();
-	int *src = new int(N);
-	N=0;
-	for (MoleculeList::iterator ListRunner = molecules->ListOfMolecules.begin(); ListRunner != molecules->ListOfMolecules.end(); ListRunner++)
-	  src[N++] = (*ListRunner)->IndexNr;
-	molecules->SimpleMultiAdd(mol, src, N);
-
-	cout << Verbose(0) << "Storing configuration ... " << endl;
-	// get correct valence orbitals
-	mol->CalculateOrbitals(*configuration);
-	configuration->InitMaxMinStopStep = configuration->MaxMinStopStep = configuration->MaxPsiDouble;
-	strcpy(filename, ConfigFileName);
-	if (ConfigFileName != NULL) { // test the file name
-		output.open(ConfigFileName, ios::trunc);
-	} else if (strlen(configuration->configname) != 0) {
-		strcpy(filename, configuration->configname);
-		output.open(configuration->configname, ios::trunc);
-		} else {
-			strcpy(filename, DEFAULTCONFIG);
-			output.open(DEFAULTCONFIG, ios::trunc);
-		}
-	output.close();
-	output.clear();
-	cout << Verbose(0) << "Saving of config file ";
-	if (configuration->Save(filename, periode, mol))
-		cout << "successful." << endl;
-	else
-		cout << "failed." << endl;
-
-	// and save to xyz file
-	if (ConfigFileName != NULL) {
-		strcpy(filename, ConfigFileName);
-		strcat(filename, ".xyz");
-		output.open(filename, ios::trunc);
-	}
-	if (output == NULL) {
-		strcpy(filename,"main_pcp_linux");
-		strcat(filename, ".xyz");
-		output.open(filename, ios::trunc);
-	}
-	cout << Verbose(0) << "Saving of XYZ file ";
-	if (mol->MDSteps <= 1) {
-		if (mol->OutputXYZ(&output))
-			cout << "successful." << endl;
-		else
-			cout << "failed." << endl;
-	} else {
-		if (mol->OutputTrajectoriesXYZ(&output))
-			cout << "successful." << endl;
-		else
-			cout << "failed." << endl;
-	}
-	output.close();
-	output.clear();
-
-	// and save as MPQC configuration
-	if (ConfigFileName != NULL)
-		strcpy(filename, ConfigFileName);
-	if (output == NULL)
-		strcpy(filename,"main_pcp_linux");
-	cout << Verbose(0) << "Saving as mpqc input ";
-	if (configuration->SaveMPQC(filename, mol))
-		cout << "done." << endl;
-	else
-		cout << "failed." << endl;
-
-	if (!strcmp(configuration->configpath, configuration->GetDefaultPath())) {
-		cerr << "WARNING: config is found under different path then stated in config file::defaultpath!" << endl;
-	}
-	delete(mol);
+  char filename[MAXSTRINGSIZE];
+  ofstream output;
+  molecule *mol = new molecule(periode);
+
+  // translate each to its center and merge all molecules in MoleculeListClass into this molecule
+  int N = molecules->ListOfMolecules.size();
+  int *src = new int(N);
+  N=0;
+  for (MoleculeList::iterator ListRunner = molecules->ListOfMolecules.begin(); ListRunner != molecules->ListOfMolecules.end(); ListRunner++) {
+    src[N++] = (*ListRunner)->IndexNr;
+    (*ListRunner)->Translate(&(*ListRunner)->Center);
+  }
+  molecules->SimpleMultiAdd(mol, src, N);
+  delete[](src);
+  // ... and translate back
+  for (MoleculeList::iterator ListRunner = molecules->ListOfMolecules.begin(); ListRunner != molecules->ListOfMolecules.end(); ListRunner++) {
+    (*ListRunner)->Center.Scale(-1.);
+    (*ListRunner)->Translate(&(*ListRunner)->Center);
+    (*ListRunner)->Center.Scale(-1.);
+  }
+
+  cout << Verbose(0) << "Storing configuration ... " << endl;
+  // get correct valence orbitals
+  mol->CalculateOrbitals(*configuration);
+  configuration->InitMaxMinStopStep = configuration->MaxMinStopStep = configuration->MaxPsiDouble;
+  if (ConfigFileName != NULL) { // test the file name
+    strcpy(filename, ConfigFileName);
+    output.open(filename, ios::trunc);
+  } else if (strlen(configuration->configname) != 0) {
+    strcpy(filename, configuration->configname);
+    output.open(configuration->configname, ios::trunc);
+    } else {
+      strcpy(filename, DEFAULTCONFIG);
+      output.open(DEFAULTCONFIG, ios::trunc);
+    }
+  output.close();
+  output.clear();
+  cout << Verbose(0) << "Saving of config file ";
+  if (configuration->Save(filename, periode, mol))
+    cout << "successful." << endl;
+  else
+    cout << "failed." << endl;
+
+  // and save to xyz file
+  if (ConfigFileName != NULL) {
+    strcpy(filename, ConfigFileName);
+    strcat(filename, ".xyz");
+    output.open(filename, ios::trunc);
+  }
+  if (output == NULL) {
+    strcpy(filename,"main_pcp_linux");
+    strcat(filename, ".xyz");
+    output.open(filename, ios::trunc);
+  }
+  cout << Verbose(0) << "Saving of XYZ file ";
+  if (mol->MDSteps <= 1) {
+    if (mol->OutputXYZ(&output))
+      cout << "successful." << endl;
+    else
+      cout << "failed." << endl;
+  } else {
+    if (mol->OutputTrajectoriesXYZ(&output))
+      cout << "successful." << endl;
+    else
+      cout << "failed." << endl;
+  }
+  output.close();
+  output.clear();
+
+  // and save as MPQC configuration
+  if (ConfigFileName != NULL)
+    strcpy(filename, ConfigFileName);
+  if (output == NULL)
+    strcpy(filename,"main_pcp_linux");
+  cout << Verbose(0) << "Saving as mpqc input ";
+  if (configuration->SaveMPQC(filename, mol))
+    cout << "done." << endl;
+  else
+    cout << "failed." << endl;
+
+  if (!strcmp(configuration->configpath, configuration->GetDefaultPath())) {
+    cerr << "WARNING: config is found under different path then stated in config file::defaultpath!" << endl;
+  }
+  delete(mol);
 };
 
